Summary:	C Configuration File Library
Summary(pl.UTF-8):	Biblioteka C do plików konfiguracyjnych
Name:		libconfig
Version:	1.4.9
Release:	1
License:	LGPL v2.1+
Group:		Libraries
Source0:	http://www.hyperrealm.com/libconfig/%{name}-%{version}.tar.gz
# Source0-md5:	b6ee0ce2b3ef844bad7cac2803a90634
Patch0:		%{name}-info.patch
URL:		http://www.hyperrealm.com/main.php?s=libconfig
BuildRequires:	autoconf >= 2.50
BuildRequires:	automake
BuildRequires:	libstdc++-devel
BuildRequires:	libtool >= 2:2.0
BuildRequires:	texinfo
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Libconfig is a simple library for manipulating structured
configuration files.

Libconfig is very compact, which makes it well-suited for
memory-constrained systems like handheld devices.

The library includes bindings for both the C and C++ languages. It
works on POSIX-compliant UNIX systems (GNU/Linux, Mac OS X, Solaris,
FreeBSD) and Windows (2000, XP and later).

%description -l pl.UTF-8
libconfig to prosta biblioteka do obróbki plików konfiguracyjnych
mających strukturę.

Jest bardzo mała, dzięki czemu dobrze nadaje się do systemów
ograniczonych pamięciowo, takich jak palmtopy.

Biblioteka ma dowiązania do języków C i C++. Działa na systemach
unikowych zgodnych z POSIX (GNU/Linux, Mac OS X, Solaris, FreeBSD)
oraz Windows (2000, XP i późniejszych).

%package devel
Summary:	Header files for libconfig library
Summary(pl.UTF-8):	Pliki nagłówkowe biblioteki libconfig
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}

%description devel
Header files for libconfig library.

%description devel -l pl.UTF-8
Pliki nagłówkowe biblioteki libconfig.

%package static
Summary:	Static libconfig library
Summary(pl.UTF-8):	Statyczna biblioteka libconfig
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Static libconfig library.

%description static -l pl.UTF-8
Statyczna biblioteka libconfig.

%package c++
Summary:	C++ Configuration File Library
Summary(pl.UTF-8):	Biblioteka C++ do plików konfiguracyjnych
Group:		Libraries
# doesn't require base, common code included in library

%description c++
libconfig++ is the C++ binding for libconfig library.

%description c++ -l pl.UTF-8
libconfig++ to dowiązanie C++ biblioteki libconfig.

%package c++-devel
Summary:	Header files for libconfig++ library
Summary(pl.UTF-8):	Pliki nagłówkowe biblioteki libconfig++
Group:		Development/Libraries
Requires:	%{name}-c++ = %{version}-%{release}
Requires:	%{name}-devel = %{version}-%{release}
Requires:	libstdc++-devel

%description c++-devel
Header files for libconfig++ library.

%description c++-devel -l pl.UTF-8
Pliki nagłówkowe biblioteki libconfig++.

%package c++-static
Summary:	Static libconfig++ library
Summary(pl.UTF-8):	Statyczna biblioteka libconfig++
Group:		Development/Libraries
Requires:	%{name}-c++-devel = %{version}-%{release}

%description c++-static
Static libconfig++ library.

%description c++-static -l pl.UTF-8
Statyczna biblioteka libconfig++.

%prep
%setup -q
%patch0 -p1

%build
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}
%configure
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

rm -f $RPM_BUILD_ROOT%{_infodir}/dir

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%post	devel -p /sbin/postshell
-/usr/sbin/fix-info-dir -c %{_infodir}

%postun	devel -p /sbin/postshell
-/usr/sbin/fix-info-dir -c %{_infodir}

%post	c++ -p /sbin/ldconfig
%postun	c++ -p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc AUTHORS README TODO
%attr(755,root,root) %{_libdir}/libconfig.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libconfig.so.9

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libconfig.so
%{_libdir}/libconfig.la
%{_includedir}/libconfig.h
%{_pkgconfigdir}/libconfig.pc
%{_infodir}/libconfig.info*

%files static
%defattr(644,root,root,755)
%{_libdir}/libconfig.a

%files c++
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libconfig++.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libconfig++.so.9

%files c++-devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libconfig++.so
%{_libdir}/libconfig++.la
%{_includedir}/libconfig.h++
%{_pkgconfigdir}/libconfig++.pc

%files c++-static
%defattr(644,root,root,755)
%{_libdir}/libconfig++.a
%changelog
* Sat Jul 06 2013 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/libconfig.git;a=log;h=master

* Sun Oct 07 2012 Jakub Bogusz <qboosh@pld-linux.org> 5e84b7a
- updated to 1.4.9

* Sun Aug 14 2011 Jakub Bogusz <qboosh@pld-linux.org> c68027d
- updated to 1.4.8

* Tue Mar 15 2011 Jakub Bogusz <qboosh@pld-linux.org> fb99b2d
- updated to 1.4.7

* Fri Nov 05 2010 Caleb Maclennan <caleb@alerque.com> 8a802ef
- Up to 1.4.6, rel 1
- Packaged new libconfig_tests in bindir

* Sun Oct 24 2010 Elan Ruusamäe <glen@pld-linux.org> 41a3482
- infodir macro

* Sat Oct 23 2010 Caleb Maclennan <caleb@alerque.com> dbcb8f7
- Fixed unpackaged file, thanks to hint from glen@pld-linux.org

* Thu Oct 21 2010 Caleb Maclennan <caleb@alerque.com> 9cc5e2e
- Up to 1.4.5, NFY

* Wed Jan 27 2010 Marcin Banasiak <marcin.banasiak@gmail.com> c65a74c
- obsolete

* Wed Jan 27 2010 Marcin Banasiak <marcin.banasiak@gmail.com> e52fcf5
- updated to 1.4.1 (new soname)
- removed obsolete -am.patch

* Sun Jun 21 2009 hawk <hawk@pld-linux.org> a773334
- fixed install stage, release 2

* Sun Jun 21 2009 hawk <hawk@pld-linux.org> 7004e57
- fixed duplicate install

* Sat May 16 2009 Marcin Banasiak <marcin.banasiak@gmail.com> 73b8ed7
- updated to 1.3.2 (new soname)

* Fri Jul 11 2008 Jakub Bogusz <qboosh@pld-linux.org> 85449e4
- updated to 1.3 (note: new sonames)
- updated info patch

* Fri Jul 11 2008 Jakub Bogusz <qboosh@pld-linux.org> 3827105
- updated for 1.3

* Thu Jan 24 2008 Elan Ruusamäe <glen@pld-linux.org> 04c36e0
- invoke fix-info-dir via /sbin/postshell where possible to avoid extra /bin/sh dep

* Fri Jan 04 2008 zbyniu <zbyniu@pld-linux.org> 4fde831
- up to 1.2.1

* Fri Nov 30 2007 Jakub Bogusz <qboosh@pld-linux.org> 9a281c6
- release 2

* Fri Nov 30 2007 Jakub Bogusz <qboosh@pld-linux.org> e6dfbed
- added info patch and missing fix-info-dir calls
- added missing ac/am/lt BRs

* Fri Nov 30 2007 Jakub Bogusz <qboosh@pld-linux.org> 4f5e755
- unify direntry

* Sat Nov 03 2007 Jakub Bogusz <qboosh@pld-linux.org> 0e45e6e
- separated libconfig++ so main package doesn't require libstdc++

